Skip to main content
POST
/
cart
/
removeCoupon
Remove the currently applied coupon from the user's cart
curl --request POST \
  --url https://v3.minestorecms.com/api/cart/removeCoupon \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://v3.minestorecms.com/api/cart/removeCoupon"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://v3.minestorecms.com/api/cart/removeCoupon', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": true,
  "message": "Coupon was successfully removed!",
  "percent": 0,
  "type": "coupon"
}
{
"status": false,
"message": "Invalid or missing Access Token."
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Successfully removed the coupon.

status
boolean

Indicates the operation was successful.

Example:

true

message
string

Confirmation message for the coupon removal.

Example:

"Coupon was successfully removed!"

percent
number<float>

Always 0 if the coupon was removed.

Example:

0

type
string

Type of the discount applied (in this case, always 'coupon').

Example:

"coupon"